> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Website

> Get sending-domain DNS details

Get verification status and DNS records for a sending domain.

## Request

<ParamField path="domain" type="string" required>
  Sending domain.
</ParamField>

```bash theme={null}
curl "https://api.sequenzy.com/api/v1/websites/mail.example.com" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "website": {
      "domain": "mail.example.com",
      "status": "pending",
      "dnsRecords": {},
      "createdAt": "2026-05-01T10:30:00Z"
    }
  }
  ```

  ```json 401 theme={null}
  {
    "success": false,
    "error": "Unauthorized"
  }
  ```

  ```json 404 theme={null}
  {
    "success": false,
    "error": "Domain not found"
  }
  ```
</ResponseExample>
